package com.jiuqi.syntax;

package .tmp;

import com.jiuqi.syntax.DictMeaningEvent;
import com.jiuqi.syntax.FloatCopyEvent;
import com.jiuqi.syntax.FloatStatEvent;
import com.jiuqi.syntax.LinkPlusEvent;
import com.jiuqi.syntax.SyntaxCellTitleEvent;
import com.jiuqi.syntax.SyntaxEvent;
import com.jiuqi.syntax.SyntaxListener;
import com.jiuqi.syntax.UnitStateEvent;
import com.jiuqi.syntax.WildcardAreasEvent;

public abstract class CustomSyntaxListener implements SyntaxListener {
  public int execFloatCopy(FloatCopyEvent floatCopyEvent) {
    return 0;
  }
  
  public void finishOneExpress(boolean hasError) {}
  
  public void getCellTitle(SyntaxCellTitleEvent syntaxCellTitleEvent) {}
  
  public int getDictMeaning(DictMeaningEvent dictMeaningEvent) {
    return 0;
  }
  
  public int getFloatStat(FloatStatEvent floatStatEvent) {
    return 0;
  }
  
  public int getLinkPlus(LinkPlusEvent linkPlusEvent) {
    return 0;
  }
  
  public void getNiValue(SyntaxEvent syntaxEvent) {
    getValue(syntaxEvent);
  }
  
  public int getStatValue(SyntaxEvent syntaxEvent) {
    return 0;
  }
  
  public int getUnitState(UnitStateEvent unitStateEvent) {
    return 0;
  }
  
  public void getWildcardAreas(WildcardAreasEvent wildcardAreasEvent) {}
  
  public void setNiValue(SyntaxEvent syntaxEvent) {
    setValue(syntaxEvent);
  }
}
